From 93afc779041f942805cfc85a2a4504f6741ff235 Mon Sep 17 00:00:00 2001
From: Claude Heiland-Allen <claude@mathr.co.uk>
Date: Fri, 21 Sep 2018 20:25:26 +0100
Subject: [PATCH 22/39] ignore initbang variant of loadbang message

---
 src/sdl.cxx | 2 +-
 src/x11.cxx | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

diff --git a/src/sdl.cxx b/src/sdl.cxx
index 72ac3dc2..83430df3 100644
--- a/src/sdl.cxx
+++ b/src/sdl.cxx
@@ -142,7 +142,7 @@ static void stop ();
 	\decl 0 position   (...) {out[0](gensym("position"),  argc,argv);}
 	\decl 0 keypress   (...) {out[0](gensym("keypress"),  argc,argv);}
 	\decl 0 keyrelease (...) {out[0](gensym("keyrelease"),argc,argv);}
-	\decl 0 loadbang ()      {out[0](gensym("nogrey"),0,0);}
+	\decl 0 loadbang (float f) {if(f==0/*LB_LOAD*/)out[0](gensym("nogrey"),0,0);}
 	\constructor (t_symbol *mode) {
 		pd_bind((t_pd *)bself,gensym("#sdl"));
 		if (!in_use) start();
diff --git a/src/x11.cxx b/src/x11.cxx
index 864cfb3d..fa5581bf 100644
--- a/src/x11.cxx
+++ b/src/x11.cxx
@@ -250,7 +250,7 @@ typedef struct {
 		XFlush(display);
 	}
 	\decl 0 border     (bool toggle=1);
-	\decl 0 loadbang () {out[0](gensym("nogrey"),0,0);}
+	\decl 0 loadbang (float f) {if(f==0/*LB_LOAD*/)out[0](gensym("nogrey"),0,0);}
 //	\decl 0 raise ();
 	\grin 0 int
 	\decl 0 query_pointer () {
-- 
2.19.1

